zapette_protocol.hpp File Reference
Private

protocol management between archive and libdar_slave classes More...

`#include "../my_config.h"`
`#include <string>`
`#include <new>`
`#include "integers.hpp"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Variables

constexpr unsigned char | libdar::ANSWER_TYPE_DATA = 'D'
constexpr unsigned char | libdar::ANSWER_TYPE_INFININT = 'I'
constexpr U_I | libdar::REQUEST_SIZE_SPECIAL_ORDER = 0
constexpr U_I | libdar::REQUEST_OFFSET_END_TRANSMIT = 0
constexpr U_I | libdar::REQUEST_OFFSET_GET_FILESIZE = 1
constexpr U_I | libdar::REQUEST_OFFSET_CHANGE_CONTEXT_STATUS = 2
constexpr U_I | libdar::REQUEST_IS_OLD_START_END_ARCHIVE = 3
constexpr U_I | libdar::REQUEST_GET_DATA_NAME = 4
constexpr U_I | libdar::REQUEST_FIRST_SLICE_HEADER_SIZE = 5
constexpr U_I | libdar::REQUEST_OTHER_SLICE_HEADER_SIZE = 6

## Detailed Description

protocol management between archive and libdar_slave classes

Definition in file zapette_protocol.hpp.